Redmine - Defect #12480

Gantt to PNG not working. Thin freeze with Redmine. High CPU usage.
2012-11-30 20:47 - Anatolii Vorona

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 21.4
Description

# cat /etc/thin/redmine.yml

pid: /home/redmine/www/tmp/pids/thin.pid
log: /home/redmine/www/log/thin.log
timeout: 30

max_conns: 1024
max_persistent_conns: 512

require: []

no—epoll: true

environment: production

chdir: /home/redmine/www

socket: /tmp/thin-redmine.sock
servers: 1

daemonize: true

user: redmine

group: redmine

$ tail -n 15 production.log

Started GET "/projects/some_project/issues/gantt.pdf?month=11smonths=3&year=2012&zoom=4" for 37.2

29.111.111 at Fri Nov 30 20:40:13 +0200 2012
Processing by GanttsController#show as PDF
Parameters: {"zoom"=>"4", "months"=>"3", "project_id"=>"some_project", "month"=>"11",
012"}
Current user: user (1d=3)
Rendered text template (0.7ms)
Sent data some_project-gantt.pdf (748.6ms)
Completed 200 OK in 2432ms (Views: 748.1lms | ActiveRecord: 755.8ms)

"year"=>"2

Started GET "/projects/some_project/issues/gantt.png?month=11&months=3&year=2012&zoom=4" for 37.2

29.111.111 at Fri Nov 30 20:40:22 +0200 2012

Processing by GanttsController#show as PNG

Parameters: {"zoom"=>"4", "months"=>"3", "project_id"=>"some_project"”", "month"=>"11",
012"}

Current user: user (id=3)

$ tail thin.0.log

>> Writing PID to /home/redmine/www/tmp/pids/thin.0.pid
>> Changing process privilege to redmine:redmine

>> Using rack adapter

>> Thin web server (v1.5.0 codename Knife)

>> Maximum connections set to 1024

>> Listening on /tmp/thin-redmine.0.sock, CTRL+C to stop

vvyearn:>"2

Related issues:
Has duplicate Redmine - Defect #12732: Serveroverload after Gantt PNG export Closed

History

#1 - 2013-01-05 21:28 - Daniel Felix

The same thing happens on my machine, after some png export. If some patch is available, | could test this for you.
Running:
Ruby 1.8.x
Ubuntu 10.04 LTS

#2 - 2013-02-18 13:44 - Daniel Felix

The same on another machine.
Cent0S 6.3
Ruby 1.8.7 - latest patchlevel

It uses all four CPU's.

Maybe there could be some Exportoptions, to disable Export to some special formats?
#3 - 2013-02-18 23:11 - Anatolii Vorona

possibly it's important.

this problem occurred on a vps openvz.
same server redmine 2.1(thin+nginx, from user redmine) on a xen vps works fine, without this bug.

#4 - 2013-02-18 23:18 - Jean-Philippe Lang

As a workaround, you can bundle Redmine without rmagick to disable the PNG export: bundle install --without rmagick. | think that this feature should
be removed anyway.

#5 - 2013-02-19 11:45 - Daniel Felix
Well the export to PNG is good for meetings. But a PDF would be good enough too.

Files
Selection_002.png 78 KB 2012-11-30 Anatolii Vorona
Selection_003.png 54 KB 2012-11-30 Anatolii Vorona
